Create a crypto invoice
curl --request POST \
--url https://api.example.com/v1/cashier-ui/crypto/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>' \
--data '
{
"amount": "10.00",
"currency": "EUR",
"expectedTotal": "10.00",
"methodChoiceId": "<string>",
"optionChoiceId": "<string>",
"quoteId": "<string>",
"fields": {}
}
'import requests
url = "https://api.example.com/v1/cashier-ui/crypto/invoices"
payload = {
"amount": "10.00",
"currency": "EUR",
"expectedTotal": "10.00",
"methodChoiceId": "<string>",
"optionChoiceId": "<string>",
"quoteId": "<string>",
"fields": {}
}
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: '10.00',
currency: 'EUR',
expectedTotal: '10.00',
methodChoiceId: '<string>',
optionChoiceId: '<string>',
quoteId: '<string>',
fields: {}
})
};
fetch('https://api.example.com/v1/cashier-ui/crypto/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/crypto/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '10.00',
'currency' => 'EUR',
'expectedTotal' => '10.00',
'methodChoiceId' => '<string>',
'optionChoiceId' => '<string>',
'quoteId' => '<string>',
'fields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/crypto/invoices"
payload := strings.NewReader("{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cashier-ui/crypto/invoices")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/crypto/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Cashier player
Create a crypto invoice
POST
/
v1
/
cashier-ui
/
crypto
/
invoices
Create a crypto invoice
curl --request POST \
--url https://api.example.com/v1/cashier-ui/crypto/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>' \
--data '
{
"amount": "10.00",
"currency": "EUR",
"expectedTotal": "10.00",
"methodChoiceId": "<string>",
"optionChoiceId": "<string>",
"quoteId": "<string>",
"fields": {}
}
'import requests
url = "https://api.example.com/v1/cashier-ui/crypto/invoices"
payload = {
"amount": "10.00",
"currency": "EUR",
"expectedTotal": "10.00",
"methodChoiceId": "<string>",
"optionChoiceId": "<string>",
"quoteId": "<string>",
"fields": {}
}
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: '10.00',
currency: 'EUR',
expectedTotal: '10.00',
methodChoiceId: '<string>',
optionChoiceId: '<string>',
quoteId: '<string>',
fields: {}
})
};
fetch('https://api.example.com/v1/cashier-ui/crypto/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/crypto/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '10.00',
'currency' => 'EUR',
'expectedTotal' => '10.00',
'methodChoiceId' => '<string>',
'optionChoiceId' => '<string>',
'quoteId' => '<string>',
'fields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/crypto/invoices"
payload := strings.NewReader("{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cashier-ui/crypto/invoices")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/crypto/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"10.00\",\n \"currency\": \"EUR\",\n \"expectedTotal\": \"10.00\",\n \"methodChoiceId\": \"<string>\",\n \"optionChoiceId\": \"<string>\",\n \"quoteId\": \"<string>\",\n \"fields\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pattern:
^(0|[1-9]\d{0,19})(\.\d{1,18})?$Example:
"10.00"
Pattern:
^[A-Z]{3}$Example:
"EUR"
Pattern:
^(0|[1-9]\d{0,19})(\.\d{1,18})?$Example:
"10.00"
Omit or pass an empty object; native crypto has no payer fields.